Package com.avaya.clientservices.common

## Enum SignalingServer.TransportType

- java.lang.Object
- - java.lang.Enum<SignalingServer.TransportType>
  - - com.avaya.clientservices.common.SignalingServer.TransportType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SignalingServer.TransportType>`
  Enclosing class:
    SignalingServer

      public static enum SignalingServer.TransportType
      extends java.lang.Enum<SignalingServer.TransportType>

  Supported transport types. Use Transport.AUTO if the user has not selected a preference.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AUTO` | The appropriate transport type will be discovered via DNS.
    `TCP` | Unencrypted TCP.
    `TLS` | Encrypted TLS.
    `UDP` | Unencrypted UDP.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getScheme()` |
    `static SignalingServer.TransportType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SignalingServer.TransportType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUTO

          public static final SignalingServer.TransportType AUTO

      The appropriate transport type will be discovered via DNS.

    - #### TLS

          public static final SignalingServer.TransportType TLS

      Encrypted TLS.

    - #### TCP

          public static final SignalingServer.TransportType TCP

      Unencrypted TCP.

    - #### UDP

          public static final SignalingServer.TransportType UDP

      Unencrypted UDP.

  - ### Method Detail

    - #### values

          public static SignalingServer.TransportType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SignalingServer.TransportType c : SignalingServer.TransportType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SignalingServer.TransportType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getScheme

          public java.lang.String getScheme()